Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.option
Interface OptionsSaxHandlerFactory

All Known Implementing Classes:
  PropertiesOptionsSaxHandlerFactory, XmlOptionsSaxHandlerFactory

    public interface OptionsSaxHandlerFactory

Classes implementing this interface are responsible for creating `OptionsSaxHandler`s for a specific action type. When a action configuration needs to be parsed, a sax handler will read the type of the action and check it against the types of the registered OptionsSaxHandlers. The first matching handler will then be used to parse the action configuration.

Method Summary
`OptionsSaxHandler` | `getOptionsSaxHandler()` Returns a OptionsSaxHandler for reading the configuration of options.
`String` | `getType()` Returns the action type handled by the ActionSaxHandlers which are created by this factory.

Method Detail

### getType

    String getType()

  Returns the action type handled by the ActionSaxHandlers which are created by this factory.

  Returns:
    the type of the action, not null.

### getOptionsSaxHandler

    OptionsSaxHandler getOptionsSaxHandler()
                                           throws SAXException

  Returns a OptionsSaxHandler for reading the configuration of options. The SAX Handler is used as a delegate handler whenever an options element with the matching type is encountered in a configuration file.

  Returns:
    a SAX delegate handler for parsing the configuration with the given type.
  Throws:
    `SAXException` - if the SAX Handler for the options can not be created from the given XML element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.